<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { handleModeEnum } from '@/enums/enums';
import { useDashboardStore } from '@/stores/dashboard';
import type { folder } from '@/types/dashboard';
import { storeToRefs } from 'pinia';
import Button from '@/components/general/Button.vue';
//import Tooltip from '@/components/general/Tooltip.vue';

const store = useDashboardStore();
const { currentFolder, folderColor, folderId, folderName, folderParent, handleMode, selectedItems } = storeToRefs(store);
const props = defineProps<{
    folder: folder
}>();

const handleCurrentFolder = () => {
    currentFolder.value = props.folder.id;
}

const handleEditFolder = () => {
    folderColor.value = props.folder.color;
    folderName.value = props.folder.name;
    folderParent.value = props.folder.parent;
    folderId.value = props.folder.id;
    handleMode.value = handleModeEnum.EDIT;
}

</script>
<template>
    <div class="size-6 leading-10 text-[24px] relative">
        <i class="ri-folder-2-line text-gray-700 absolute z-[22]"></i>
        <i class="ri-folder-2-fill absolute z-[21]" :style="{ color: folder.color }"></i>
    </div>
    <div class="leading-10 px-4 line-clamp-1 text-ellipsis">
        <Tooltip :tooltip="folder.name">{{ folder.name }}</Tooltip>
    </div>
    <div class="flex flex-row justify-around justify-self-end" v-if="selectedItems.length === 0">
        <div>
            <Tooltip :tooltip="$t('contentPage.editLabel')">
                <button
                    class="size-8 rounded-full text-gray-500 bg-white hover:bg-gray-200 leading-8 text-[24px] align-middle text-center px-1"
                    @click="handleEditFolder">
                    <i class="ri-pencil-line ri-1x"></i>
                </button>
            </Tooltip>
        </div>
        <div class="w-fit ml-2">
            <Button size="small" variant="accent2" @click="handleCurrentFolder">{{
                $t("dashboardPage.folder.show.label") }}</Button>
        </div>
    </div>
    <div v-else>
    </div>
</template>